summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorRichard Purdie <richard@openedhand.com>2007-07-17 13:26:55 +0000
committerRichard Purdie <richard@openedhand.com>2007-07-17 13:26:55 +0000
commit21b7fabf6a3cfb92c9fb89e2df8791778d46fb46 (patch)
tree032949c3955d661ddfceec8bc7db0069cb2b6a21 /scripts
parent58184103e4b1785a7f743e9d3ea93aebce67e4b6 (diff)
downloadopenembedded-core-21b7fabf6a3cfb92c9fb89e2df8791778d46fb46.tar.gz
poky-env-internal: Fix quoting
git-svn-id: https://svn.o-hand.com/repos/poky/trunk@2194 311d38ba-8fff-0310-9ca6-ca027cbcb966
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/poky-env-internal22
1 files changed, 11 insertions, 11 deletions
diff --git a/scripts/poky-env-internal b/scripts/poky-env-internal
index b1e5546bba..1b231bcdf4 100755
--- a/scripts/poky-env-internal
+++ b/scripts/poky-env-internal
@@ -24,30 +24,30 @@
OEROOT=`pwd`
-BBDIR=$OEROOT/bitbake/
-PKGDIR=$OEROOT/meta/
-BUILDDIR=$OEROOT/build/
+BBDIR="$OEROOT/bitbake/"
+PKGDIR="$OEROOT/meta/"
+BUILDDIR="$OEROOT/build/"
MSG=''
BUILD_ARCH=`uname -m`
BUILD_OS=`uname | tr [A-Z] [a-z]`
-BUILD_SYS=$BUILD_ARCH-$BUILD_OS
+BUILD_SYS="$BUILD_ARCH-$BUILD_OS"
-PATH=$BBDIR/bin/:$OEROOT/scripts:$PATH
+PATH="$BBDIR/bin/:$OEROOT/scripts:$PATH"
-cd $BUILDDIR
+cd "$BUILDDIR"
# Remove any symlinks from paths
-BBDIR=`readlink -f $BBDIR`
-PKGDIR=`readlink -f $PKGDIR`
-BUILDDIR=`readlink -f $BUILDDIR`
+BBDIR=`readlink -f "$BBDIR"`
+PKGDIR=`readlink -f "$PKGDIR"`
+BUILDDIR=`readlink -f "$BUILDDIR"`
-if ! (test -d $BBDIR && test -d $PKGDIR && test -d $BUILDDIR); then
+if ! (test -d "$BBDIR" && test -d "$PKGDIR" && test -d "$BUILDDIR"); then
echo >&2 "Error: Not all directories exist! Did you run this script in poky directory?"
exit 1
fi
-if ! (test -r $BUILDDIR/conf/local.conf); then
+if ! (test -r "$BUILDDIR/conf/local.conf"); then
cp -f $BUILDDIR/conf/local.conf.sample $BUILDDIR/conf/local.conf
fi